<?xml version="1.0" encoding="UTF-8"?>
<domain-models xmlns="http://axelor.com/xml/ns/domain-models"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://axelor.com/xml/ns/domain-models
  https://axelor.com/xml/ns/domain-models/domain-models_6.0.xsd">

  <module name="human-resource" package="com.axelor.apps.hr.db"/>

  <entity name="CheckInOut">
    <many-to-one name="employee" ref="com.axelor.apps.hr.db.Employee"/>
    <date name="date_attendance"/>
    <time name="time_attendance"/>
    <many-to-one name="granding" ref="com.axelor.apps.hr.db.Granding"/>

    <unique-constraint columns="employee,date_attendance,time_attendance"/>
  </entity>

</domain-models>